Bug 120534 - Spurious complaints from gnome-panel
Spurious complaints from gnome-panel
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2004-04-09 20:25 EDT by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-14 10:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-04-09 20:25:44 EDT
Description of problem:

If things like evolution and/or openoffice are not installed
on a system then gnome-panel complains in /tmp/xses-* files,
and in .xsession-errors if this one shows up, like that:

Unable to open desktop file
applications:///Internet/redhat-email.desktop for panel launcher:
Error reading file 'applications:///Internet/redhat-email.desktop':
File not found
Unable to open desktop file
applications:///Office/redhat-word-processor.desktop for panel
launcher: Error reading file
'applications:///Office/redhat-word-processor.desktop': File not found

and so on.  One could say to that only "Doh!".  None of corresponding
programs is in the slightest degree essential for a functioning

What is worse one cannot remove "missing" launchers from a panel
and shut that up because these launchers are, well, not really
missing but not installed.  Hacking around, which is possible, is
not really a good answer.

Even if this complaint would be in some situations legitimate
then it does not give a user any useful information as it is
far from clear that messages are really about something which
is not in /usr/share/applications/ directory.  In other words
this is really a noise.

One possible way to deal with that is to always provide "missing"
links in /usr/share/applications/ to corresponding files from
../desktop-menu-patches/ and if launchers refer to non-existing
programs then they can be removed from a panel or edited
to something meningful.  Other way is not to wail about non-errors.

Version-Release number of selected component (if applicable):

How reproducible:
No trouble at all.
Comment 1 Mark McLoughlin 2004-04-14 10:23:50 EDT
Okay, so to get rid of those errors you would remove the approriate
launchers from object_id_list in panel-default-setup.entries and then
re-install the entries by doing (as root):

  --direct --load /etc/gconf/schemas/panel-default-setup.entries

and then

  --direct --load /etc/gconf/schemas/panel-default-setup.entries

Its a bit of a pain that this happens, but I'm not too worried about
it since both packages are pretty much part of the base desktop
install. Also, they're only warnings in .xsession-errors.

I don't think there's a reasonable solution because:

  + We shouldn't dump the warning as it will be useful in cases where 
    there is a launcher configured and mysteriously doesn't show up
    on the panel

  + Only one package can own a file, so we can't have a setup where
    the panel owns dummy versions of the file if the other packages
    aren't installed.

Note You need to log in before you can comment on or make changes to this bug.